Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596257 - RFE: do not split admonitions across pages
Summary: RFE: do not split admonitions across pages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 1.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 13:27 UTC by Konstantin Ryabitsev
Modified: 2010-11-24 04:19 UTC (History)
4 users (show)

Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-05 04:15:32 UTC


Attachments (Terms of Use)
Screenshot of the problem (deleted)
2010-05-26 13:27 UTC, Konstantin Ryabitsev
no flags Details
Patch to prevent splitting of admonitions (deleted)
2010-05-26 13:28 UTC, Konstantin Ryabitsev
no flags Details | Diff

Description Konstantin Ryabitsev 2010-05-26 13:27:34 UTC
Created attachment 416830 [details]
Screenshot of the problem

It doesn't look good when admonitions (note, important, warning) span across the page break -- witness attached screenshot.

Comment 1 Konstantin Ryabitsev 2010-05-26 13:28:45 UTC
Created attachment 416831 [details]
Patch to prevent splitting of admonitions

Comment 2 Jeff Fearn 🐞 2010-05-26 23:23:25 UTC
(In reply to comment #0)
> Created an attachment (id=416830) [details]
> Screenshot of the problem
> 
> It doesn't look good when admonitions (note, important, warning) span across
> the page break -- witness attached screenshot.    

Adding list to CC for public discussion.

The problem with keep-together.within-column in FOP is that the content will never be broken across a page border, even if the content is larger than a page.

IMHO having an admonition that large is ... well, lets just say I think we should do this.

Comment 3 Jeff Fearn 🐞 2010-05-31 02:11:19 UTC
Well no one disagreed, so that means everyone agreed!

Fixed in Build: 1.6.3-0.t93


Note You need to log in before you can comment on or make changes to this bug.